/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

/******** General Styles ********/
.horizontally-centered {
	display: flex;
	justify-content: center;
	align-items: center;
}
.mt-10 {
	margin-top: 10px;
}
.green-button {
    background-color: #418043; /* Drak green */
    color: white; 
    border: none;
    padding: 0;
    padding: 5px !important;
    font-size: 20px; 
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
}

.green-button:hover {
	background-color: #55a630; /* Lighter green */
    cursor: pointer;
}

/*** Search Section ***/
.search-container {
    display: grid;
    grid-template-columns: 50% 50%;
	margin-left: 30px;
	margin-right: 50px;
    gap: 150px; 
    align-items: center; 
}
@media (max-width: 768px) {
    .search-container {
        grid-template-columns: 100%;
		gap: 50px;
    }
}
.search-container label {
	margin-bottom: 0px;
	font-weight: bold;
}
.search-keywords-area, .search-location-area {
    display: flex;
    flex-direction: column;
}
.search-location-area {
	margin-bottom: 46px;
}
#search-button-area {
	margin-top: 70px;
}
.search-button {
	display: flex;
	border-radius: 30px !important;
	width: 190px;
	height: 20px;
}
#add-keyword-button {
	width: 40px;
	height: 40px;
	margin-left: -50px;
}
#search-keywords-input-group {
	width: 80%;
	position: relative;
}
#search-location-input-group {
	width: 50%;
}
#search-location-dropdown option {
    padding: 100px;
}
#search-location {
	position: relative;
}
#search-location-dropdown option:hover, #search-location-dropdown option:focus {
    background-color: grey;
}
.entered-keywords {
    display: flex;
    gap: 10px;
    margin-top: 10px;
    flex-wrap: wrap;
	min-height: 40px; /* without this, "Enter keywords" input will shift up when keyword is entered */
}
.entered-keyword {
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
	border-radius: 5px;
	font-weight: bold;
	position: relative;
    padding: 5px 10px;
    cursor: pointer;
}
.entered-keyword .x-icon {
    position: absolute;
    top: -5px;
    right: -7px;
    cursor: pointer;
    font-size: 14px;
    color: grey;
    background-color: white;
    border-radius: 50%; 
    width: 15px;
    height: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid grey;
	opacity: 0; 
    transition: opacity 0.3s; 
}
.entered-keyword:hover .x-icon {
    opacity: 1;
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    width: 100%;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    max-height: 200px; 
	border: 1px solid grey;
    overflow-y: auto;
}
.suggested-keyword, .location-option {
    color: black;
    text-decoration: none;
    display: block;
}
.suggested-keyword:hover, .location-option:hover, .highlighted {
    background-color: #f1f1f1;
}
.no-match {
	color: grey;
    font-style: italic;
    text-align: center;
}
.no-match, .suggested-keyword, .location-option {
    padding: 12px 16px;
}
#selected-location-input {
	padding: 15px 0px;
	border-bottom: 2px solid #E6F0EE;
	position: relative;
}
.selected-location-active {
	border-color: #418043 !important;
}
#selected-location-input:hover {
	cursor: pointer;
}
.caret {
	color: grey;
	position: absolute;
	right: 10px;
	top: 20px;
	font-size: 12px !important;
}

/*** Results Section ***/
#no-results, #server-error {
	font-size: 18px;
	text-align: center;
	display: none;
}
.expert-result {
    display: flex;
    gap: 20px;
    align-items: flex-start;
	width: 70%;
    font-size: 14px;
    margin-bottom: 30px;
}
@media (max-width: 1024px) {
    .expert-result {
        width: 100%;
    }
}
.expert-name:hover {
	cursor: pointer;
}
.expert-name {
	margin-bottom: 0px !important;
}
@media (max-width: 768) {
    .expert-result h3 {
        font-size: 25x;
    }
}
.expert-college {
	margin-top: 0px !important;
	margin-bottom: 0px !important;
}
.expert-description {
	margin-top: 0px;
	margin-bottom: 0px;
	font-style: italic;
	color: black !important; /* Since it's in a clickable area, prevent blocksy from applying link styles */
}
.expert-description:hover {
	color: black !important;
}
@media (max-width: 768px) {
    .expert-description {
        display: none;
    }
}
.expert-photo {
    width: 200px;
    max-height: 200px;
    object-fit: cover;
	object-position: top;
}
.expert-photo-container {
	display: block;
	width: 200px;
	height: 200px;
    flex-shrink: 0;
}
.get-in-touch-link {
     display: block;
     font-weight: bold;
	 font-size: 18px;
 }
.keyword-result {
	 font-style: italic;
	 color: black;
}
.keyword-group {
	margin-top: 10px;
}
.keywords-label {
	font-weight: bold;
	color: black !important; 
}
.keywords-label:hover {
	color: black !important;
}
.caret {
    font-size: 18px;
}
.info-container {
    display: flex;
    flex-direction: column;
	max-height: 200px;
	overflow: hidden;
}

#expert-results ul, #resource-results ul {
	list-style-type: none
}
#load-more {
	border-radius: 30px !important;
	padding: 10px 40px !important;
	font-size: 15px !important;
}